taulgt(1)

NAME
taulgt - Logtalk integration script for Tau Prolog

SYNOPSIS
taulgt [-g goal]

DESCRIPTION
taulgt is a Logtalk integration script for Tau Prolog running on node. It automatically loads the Tau Prolog adapter file, the Logtalk compiler and runtime, the Logtalk default table of library names and paths, and any existing settings file found on the lookup directories. It passes any options to the node process.

OPTIONS
The most common option is:

-g  goal Initialization goal, written between double quotes, to be executed after Logtalk startup.

REQUIREMENTS
Tau Prolog 0.3.2 or a later version is required.

ENVIRONMENT

LOGTALKHOME
    Specifies the location of the Logtalk installation.

LOGTALKUSER
    Specifies the location of the Logtalk user directory.

NODE_PATH
    Specifies the node_modules directory path where Tau Prolog and its dependencies are installed.

FILES

$LOGTALKHOME/integration/logtalk_tau.js
    JavaScript file used to emulate a traditional top-level interpreter for Tau Prolog.

$LOGTALKHOME/adapters/tau.pl
    The Tau Prolog adapter file.

$LOGTALKHOME/core/core.pl
    The Logtalk core compiler and runtime file.

$LOGTALKHOME/paths/paths.pl
    The default table of library names and paths.

./settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$LOGTALKUSER/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$XDG_CONFIG_HOME/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

$HOME/.config/logtalk/settings.lgt
    Logtalk settings file (for overriding default settings in the adapter files). It may not exist.

CAVEATS
The first run of this script may require using "sudo" depending on the writing permissions of the Logtalk installation directory.

SEE ALSO
The Logtalk website at https://logtalk.org/

The Logtalk User and Reference Manuals at $LOGTALKHOME/manuals/index.html

The Tau Prolog website at http://tau-prolog.org

The Node.js website at https://nodejs.org/en/

logtalk_user_setup(1), logtalk_version_select(1), logtalk_backend_select(1)

AUTHOR
Paulo Moura <pmoura@logtalk.org>

COPYRIGHT
Copyright (c) 1998-2024 Paulo Moura.